Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 518321 - X in anaconda aborts with backtrace to text mode
Summary: X in anaconda aborts with backtrace to text mode
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vmware
Version: rawhide
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-19 20:34 UTC by Allen Kistler
Modified: 2018-04-11 07:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-09 06:42:22 UTC
Type: ---


Attachments (Terms of Use)
X.log from failed anaconda X start (22.94 KB, text/plain)
2009-08-19 20:34 UTC, Allen Kistler
no flags Details

Description Allen Kistler 2009-08-19 20:34:59 UTC
Created attachment 357991 [details]
X.log from failed anaconda X start

Description of problem:
Using boot.iso from 19-Aug-2009 in VMware Workstation.  Anaconda attempts to start X, but dumps user into text mode.  X.log has a backtrace.  The same error does not occur if using xdriver=vesa.

Version-Release number of selected component (if applicable):
xorg-x11-drv-vmware-10.16.7-2.fc12.i686

How reproducible:
Always

Steps to Reproduce:
1. Boot using boot.iso in VMware
2. Select "Install or upgrade existing system" in Anaconda welcome screen
  
Actual results:
X tries, but fails, to start.
"mini-wm: Fatal IO Error 11 (Resource temporarily unavailable) on X server :1.0."

Expected results:
X starts.

Additional info:
There are a bunch of SELinux AVC denials in syslog, but they're there using the vesa driver, too.  The vesa driver works, anyway, so I think the AVCs are a separate issue.

Comment 1 Matěj Cepl 2009-08-20 10:09:21 UTC
Hmm, this is lovely:
Backtrace:
0: Xorg(xorg_backtrace+0x3c) [0x80a42fc]
1: Xorg [0x80a7af6]
2: [0x2ef40c]
3: Xorg [0x81b1064]
4: Xorg [0x81b14e6]
5: Xorg [0x80e7d3f]
6: Xorg [0x80e6d94]
7: Xorg [0x806eb17]
8: Xorg [0x8062de5]
9: /lib/libc.so.6(__libc_start_main+0xe6) [0xe87b56]
10: Xorg [0x80629d1]

Comment 2 Adam Jackson 2009-08-20 21:06:07 UTC
/usr/src/debug/xorg-server-20090814/composite/compalloc.c:88
/usr/src/debug/xorg-server-20090814/composite/compalloc.c:330
/usr/src/debug/xorg-server-20090814/composite/compext.c:183
/usr/src/debug/xorg-server-20090814/composite/compext.c:386
/usr/src/debug/xorg-server-20090814/dix/dispatch.c:427
/usr/src/debug/xorg-server-20090814/dix/main.c:287

Which translates to main -> Dispatch -> ProcCompositeDispatch -> ProcCompositeRedirectSubwindows -> compRedirectSubwindows -> compRedirectWindow.  Which is a weird place to crash!  Clearly this is from mini-wm turning on automatic redirection, but it's not obvious why that would fail with vmware but work with vesa.  Besides, perhaps, that vmware would pick 16bpp but vesa would pick 24 or 32?

A quick test with mini-wm and Xvfb shows it falling over in pretty much the same way on 16bpp, so I think we can start the blame there.

Comment 3 Allen Kistler 2009-08-20 21:55:31 UTC
(In reply to comment #2)
> 
> [snip]
> 
> ....  Besides, perhaps, that vmware would pick
> 16bpp but vesa would pick 24 or 32?
> 
> [snip]

I'm not sure if there's a question for me, there.  But in the same test VM which exhibits the bug in drv-vmware, drv-vesa picks "Depth 24 pixmap format is 32 bpp" and then works.

HTH

Comment 4 Allen Kistler 2009-08-23 06:31:38 UTC
Booting with the 22-Aug-2009 boot.iso, X starts fine with the vmware driver.  There is no backtrace.

As nearly as I can tell, xorg-X11-drv-vmware and anaconda (hence mini-wm) are the same as 19-Aug-2009.  xorg-x11-server-Xorg is different, though.

Blame server and close this report?

Comment 5 Matěj Cepl 2009-11-05 17:14:14 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 6 Allen Kistler 2009-11-09 06:42:22 UTC
I don't think this has been a problem for a while.

Closing...


Note You need to log in before you can comment on or make changes to this bug.